# História noviniek

## Verzia 1.10
* Do dialógového okna Nastavenia bola pridaná možnosť Automaticky vymazať staršie správy, ktorá umožňuje vybrať počet dní, po ktorých budú správy automaticky vymazané z čítačky RSS
* Opravené hlásenie pozície v niektorých zoznamoch aplikácií

## Verzia 1.9
* Pridaná možnosť vyhľadávania textu v textovom prehliadači, ktorá je dostupná po stlačení klávesovej skratky _Ctrl+F_ alebo z ponuky aplikácie
* do textového prehliadača pridaná možnosť vyhľadania nasledujúceho a predchádzajúceho výskytu hľadaného textu, dostupná po stlačení tlačidla _F3_ a _Shift+F3_ a tiež z ponuky aplikácie
* výrazne sa zrýchlilo načítanie viacerých správ použitím iného prvku na zobrazenie zoznamu správ
* v tomto prvku sa už po stlačení šípok neopakujú okrajové položky, preto bol odstránený zvuk indikácie okraja zoznamu
* opravené zobrazovanie kódovania správ v kanáli Letem světem Applem
* v prípade kanálov, o ktorých je známe, že sa nezobrazujú v textovom prehliadači, sa články automaticky otvoria vo webovom prehliadači

## Verzia 1.8
* Podpora práce s viacerými správami (mazanie a pridávanie do archívu)
* je možné označovať správy pomocou kombinácie klávesov Shift alebo použiť klávesovú skratku Ctrl+A na označenie všetkých správ
* do ponuky aplikácie bola pridaná položka Vybrať všetko, ktorá označí všetky aktuálne zobrazené správy
* kláves F2 oznámi počet označených správ
* hranice zoznamu správ sú označené zvukovým signálom
* zabránené otváraniu kanálov pri načítaní správ zo všetkých kanálov

## Verzia 1.7
* ak je nastavené automatické sťahovanie správ v určitom intervale, aplikácia sa po zatvorení čítačky skryje v systémovej lište a sťahovanie správ pokračuje
* ak je čítačka skrytá v systémovej lište, sťahovanie správ prebieha v tichom režime bez hlásenia priebehu sťahovania a počtu nových správ
* ikona čítačky RSS na systémovej lište má vlastnú kontextovú ponuku s možnosťami zobrazenia okna čítačky a ukončenia čítačky
* ikona na systémovej lište zobrazuje počet nových správ, ktoré čítačka stiahla v minimalizovanom režime
* možnosť ukončenia v ponuke čítačky úplne ukončí čítačku, aj keď je nastavené automatické sťahovanie správ
* do dialógového okna Nastavenia pridaná možnosť Do systémovej lišty po spustení NVDA, ktorá umožňuje spustiť čítačku RSS minimalizovanú spolu so spustením čítačky NVDA, ak je nastavený interval preberania nových správ
* kontrola asynchrónneho stavu medzi kanálmi a článkami pri zobrazení všetkých správ vo všetkých kanáloch, ak sa zistí problém, odstráni sa nadbytočný súbor, prehrá sa chybový zvuk a vytvorí sa protokol
* opravené zobrazovanie správ z RSS kanála na sciencemag.cz

## Verzia 1.6.1
* Opravené zobrazovanie správ z kanálov na serveri iDNES.cz

## Verzia 1.6
* Do zoznamu kanálov bola na prvú pozíciu pridaná položka Všetko, ktorá umožňuje zobraziť všetky správy zo všetkých kanálov v jednom zozname
* Stlačením tlačidla _F2_ v zozname všetkých správ zo všetkých kanálov sa zobrazí aj názov kanála, z ktorého je aktuálna správa
* opravené zobrazovanie názvov niektorých kanálov v archíve
* prepracovaná konverzia textov názvov a popisov správ
* opravená možnosť opätovného spustenia načítavania nových správ počas prebiehajúceho načítavania
* kompatibilita s NVDA 2025.1

## Verzia 1.5
* pridaná možnosť otvárať správy ako text
* pridaný textový prehliadač na zobrazenie správ otvorených ako text
* do nastavení pridaná možnosť nastaviť, aby sa správy otvárali ako text po stlačení klávesu _Enter_

## Verzia 1.4.1
* kláves _Escape_ možno použiť aj na návrat zo zoznamu správ do zoznamu kanálov

## Verzia 1.4.0
* načítanie nových správ zo všetkých kanálov sa vykonáva na pozadí
* ak sa pri načítavaní správ vyskytne chyba, hlási sa okamžite, nie až po načítaní všetkých správ

## Verzia 1.3.0
* pridaná funkcia na vyhľadávanie zadaného textu v správach, dostupná po stlačení kombinácie klávesov _Ctrl+F_
* Opravené automatické sťahovanie, keď je interval nastavený na 5 minút
* opravená informácia o počte nových správ pri spustení automatického sťahovania po otvorení zoznamu správ

## Verzia 1.2.0
* Možnosť importovať a exportovať zoznam kanálov vo formáte OPML pomocou príslušných položiek menu aplikácie

## Verzia 1.1.0
* pridané hlásenie počtu nových správ od posledného stiahnutia pri prezeraní kanálov a po stlačení tlačidla _F2_
* pridaná možnosť zapnúť alebo vypnúť automatické hlásenie počtu správ pri prezeraní jednotlivých kanálov
* pridaná možnosť zobraziť iba kanály s novými správami pomocou klávesu _F4_

## Verzia 1.0.2
* opravené otváranie nápovedy v jazykoch systému Windows, pre ktoré nápoveda nie je k dispozícii

## Verzia 1.0.1
* opravené automatické otváranie prvej kategórie databázy kanálov pri počiatočnom pridávaní kanálov
* keď je zapnutá archivácia správy a dotazovanie pred vymazaním správy, nezobrazí sa dotaz na vymazanie správy
* do dokumentácie pridané informácie o možnosti odoslať správu e-mailom

[Späť na novinky v jednotlivých verziách](news.html)
