# Historie novinek

## Verze 1.10
* do dialogu Nastavení přidána možnost Automaticky mazat starší zprávy umožňující zvolit počet dnů, po kterých budou zprávy z RSS čtečky automaticky mazány
* oprava ohlašování pozice v seznamech některých aplikací

## Verze 1.9
* do Textového prohlížeče přidána možnost hledat text dostupná po stisku _Ctrl+F_ nebo z aplikační nabídky
* do Textového prohlížeče přidána možnost najít další a předchozí výskyt hledaného textu dostupná na _F3_ a _Shift+F3_ a rovněž v aplikační nabídce
* výrazně zrychleno načítání většího množství zpráv díky použití odlišného prvku pro zobrazení seznamu zpráv
* v tomto prvku již nedochází na hraničních položkách k jejich opakování po stisku šipek, proto odstraněn zvuk indikace hranic seznamu
* oprava zobrazování kódování u zpráv v kanálu Letem světem Applem
* u kanálů, u kterých je známo, že se články nezobrazují v textovém prohlížeči, se články automaticky otevřou ve webovém prohlížeči

## Verze 1.8
* podpora práce s více zprávami (mazání a přidávání do archivu)
* zprávy je možné označovat přes kombinace s klávesou Shift nebo pomocí Ctrl+A označit všechny zprávy
* do aplikační nabídky přidána položka Vybrat vše, která označí všechny aktuálně zobrazené zprávy
* klávesa F2 ohlašuje počet označených zpráv
* hranice seznamu zpráv indikovány zvukovým signálem
* zamezeno otevírání kanálů v průběhu načítání zpráv ze všech kanálů

## Verze 1.7
* pokud je nastaveno automatické stahování zpráv v určitém intervalu, je po zavření čtečky aplikace skryta na systémovou lištu a stahování zpráv nadále probíhá
* je-li čtečka skryta na systémové liště, stahování zpráv probíhá v tichém režimu bez ohlašování průběhu stahování a počtu nových zpráv
* ikona RSS čtečky na systémové liště má svou kontextovou nabídku obsahující možnosti pro zobrazení okna čtečky a ukončení čtečky
* v ikoně na systémové liště je viditelný počet nových zpráv, které čtečka stáhla v minimalizovaném režimu
* možnost ukončit aplikaci v nabídce čtečky zcela ukončí čtečku a to i v případě nastaveného automatického stahování zpráv
* do dialogu Nastavení přidána volba Na systémovou lištu po startu NVDA umožňující spouštět RSS čtečku minimalizovanou spolu se startem odečítače NVDA v případě nastaveného intervalu pro stahování nových zpráv
* kontrola asynchronního stavu mezi kanály a články při zobrazení všech zpráv ve všech kanálech, při zjištění problému nadbytečný soubor vymazán, přehrán chybový zvuk a v logu o tom vytvořen záznam
* Oprava zobrazování zpráv z RSS kanálu na serveru sciencemag.cz

## Verze 1.6.1
* Oprava zobrazování zpráv z kanálů serveru iDNES.cz

## Verze 1.6
* do seznamu kanálů přidána na první pozici položka Vše umožňující zobrazit v jednom seznamu všechny zprávy ze všech kanálů
* po stisku _F2_ v seznamu všech zpráv ze všech kanálů bude ohlášen také název kanálu, z něhož je aktuální zpráva
* oprava zobrazování názvů u některých kanálů v archivu
* přepracována textová konverze titulů a popisů zpráv
* ošetřena možnost znovuspuštění načítání nových zpráv během již probíhajícího načítání
* Kompatibilita s NVDA 2025.1

## Verze 1.5
* přidána možnost otevírat zprávy jako text
* přidán textový prohlížeč, ve kterém se zobrazují zprávy otevřené jako text
* do nastavení přidána volba umožňující nastavit po stisku klávesy _Enter_ otevírání zpráv jako text

## Verze 1.4.1
* pro návrat ze seznamu zpráv do seznamu kanálů lze využít také klávesu _Escape_

## Verze 1.4.0
* načítání nových zpráv ze všech kanálů probíhá na pozadí
* pokud při načítání zpráv dojde k chybě, je ohlášena okamžitě, nikoli až po načtení všech zpráv

## Verze 1.3.0
* přidána funkce vyhledávání zadaného textu ve zprávách dostupná po stisku kombinace kláves _Ctrl+F_
* opraveno automatické stahování při nastaveném intervalu na 5 minut
* opravena informace o počtu nových zpráv při zahájení automatického stahování ve chvíli, kdy je otevřen seznam zpráv

## Verze 1.2.0
* možnost importovat a exportovat seznam kanálů ve formátu OPML s využitím příslušných položek aplikační nabídky

## Verze 1.1.0
* přidáno ohlašování počtu nových zpráv od posledního stahování při procházení kanálů a po stisku klávesy _F2_
* do nastavení přidána možnost zapnout či vypnout automatické ohlašování počtu zpráv při procházení jednotlivých kanálů
* přidána možnost zobrazit jen kanály s novými zprávami pomocí klávesy _F4_

## Verze 1.0.2
* opraveno otevření nápovědy v jazykových mutacích Windows, pro které není nápověda k dispozici

## Verze 1.0.1
* opraveno automatické otevření první kategorie databáze kanálů při jejich prvotním přidávání
* při archivaci zprávy a zapnutém dotazování před smazáním zprávy se dotaz na smazání zprávy neobjevuje
* do dokumentace přidána informace o možnosti poslat zprávu mailem

[Zpět na novinky v jednotlivých verzích](news.html)
