# Novinky v jednotlivých verzích

## Verze 2.7.0
* podpora více jazyků uživatelského rozhraní a dokumentace (aktuálně čeština, slovenština a angličtina)
* přepracován interní systém práce se zprávami, aby byla zajištěna korektní správa článků se stejnými názvy
* drobné úpravy ve zpracování času a data přijetí zprávy

## Verze 2.6.0
* možnost nastavit globálně nebo pro každý kanál, zda do názvu ukládaného zvukového souboru vložit datum a čas, pořadové číslo nebo nepřidávat nic
* oprava vícenásobného ohlášení skončení přehrávání zvukového souboru
* při automatickém zahájení načítání nových zpráv již nedochází k uzavření aktuálně otevřeného seznamu zpráv
* v průběhu načítání zpráv je možné otevírat kanály a prohlížet seznam zpráv
* při přehrávání podcastů není automaticky spuštěné načítání nových zpráv doprovázeno zvukovými signály, aby nebyl narušován poslech
* při nastavení otevírání zpráv ve webovém prohlížeči se zvukový podcast otevře rovněž ve webovém prohlížeči
* opravena funkce pro ohlášení data a času u zpráv, u nichž tento údaj není k dispozici
* opraveno občasné chybné zobrazení v seznamu kanálů po odstranění kanálu

## Verze 2.5.1
* přepracováno ukládání zvukových záznamů z více označených zpráv

## Verze 2.5.0
* do seznamu zpráv přidána funkce pro uložení zvukového záznamu a to i z více označených zpráv dostupná po stisku kombinace kláves _Ctrl+S_ nebo z aplikační nabídky
* přepracován seznam kanálů, aby v něm bylo možné vyhledávat položky i podle více počátečních písmen

## Verze 2.4.0
* přidána možnost hledat v Apple podcastech dostupná po stisku kombinace kláves _Ctrl+H_ nebo z aplikační nabídky

## Verze 2.3.1
* oprava zobrazování dialogu v případě otevření prázdného kanálu

## Verze 2.3.0
* v případě načítání nových zpráv po otevření kanálu či pro jeden kanál pomocí _Ctrl+F5_ zajištěn běh na pozadí
* ošetřena situace, kdy je popis u zprávy příliš dlouhý

## Verze 2.2.1

* opraveno automatické ukládání zvukových souborů podcastů u některých kanálů

## Verze 2.2.0

* do audiopřehrávače přidána možnost ovládat rychlost přehrávání pomocí kombinace kláves Ctrl+šipky nahoru a dolů
* do audiopřehrávače přidána možnost uložit zvukový soubor pomocí kombinace kláves Ctrl+S
* do aplikační nabídky audiopřehrávače přidána možnost otevřít složku s uloženými zvukovými soubory
* přidána možnost automaticky stahovat kromě zpráv také zvukové soubory podcastů
* do nastavení přidána možnost zadat cestu pro ukládané zvukové soubory podcastů a tlačítko pro výběr složky
* v nastavení je možné zapnout či vypnout automatické stahování zvukových souborů podcastů pro všechny kanály
* přidáno okno s nastavením pro vybraný kanál dostupné v seznamu kanálů po stisku kombinace kláves Ctrl+F12
* do nastavení pro vybraný kanál přidána možnost zapnout či vypnout stahování zvukových souborů podcastů

## Verze 2.1.0

* do audiopřehrávače přidána možnost ovládat hlasitost pomocí šipek nahoru a dolů
* opravena funkčnost klávesy Mezerník pro přehrávání a plynulé čtení v jiných jazykových mutacích Windows

## Verze 2.0.1

* oprava zobrazování diakritiky v kanálu Technológie bez zraku

## Verze 2.0

* přidán audiopřehrávač pro podcasty
* v dialogu Nastavení přejmenována volba Otevírat zprávy jako text na Otevírat zprávy jako text či zvuk
* zvukové podcasty se při zapnuté volbě Otevírat zprávy jako text či zvuk automaticky otevírají v audiopřehrávači
* při ukončení audiopřehrávač uloží poslední pozici, od níž příště začne přehrávat
* databáze kanálů může mít více úrovní kategorií

[Historie novinek](historynews.html)

[Zpět na hlavní stránku](readme.html)
