# News history

## Version 1.10
* Added option Automatically delete older messages to the Settings dialog allowing to select the number of days after which messages will be automatically deleted from the RSS reader
* Fixed reporting of position in lists of some applications

## Version 1. 9
* added text search option to Text viewer available by pressing _Ctrl+F_ or from the application menu
* added option to Text viewer to find next and previous occurrence of search text available by pressing _F3_ and _Shift+F3_ and also from the application menu
* significantly accelerated loading of multiple messages by using a different element for displaying the list of messages
* this element no longer repeats the border items after pressing the arrows, therefore removed the sound of the list border indication
* corrected the display coding for messages in the feed Letem světem Applem
* for feeds where articles are known not to display in a text viewer, articles will automatically open in a web browser

## Version 1.8
* support for working with multiple messages (deleting and adding to archive)
* messages can be marked via Shift key combinations or using Ctrl+A to mark all messages
* added Select All item to application menu, which marks all currently displayed messages
* F2 key announces the number of marked messages
* message list boundaries indicated by sound signal
* prevented opening feeds during receiving messages from all feeds

## Version 1.7
* if the reader is set to automatically download messages at a certain interval, when the reader is closed, the application is hidden on the system tray and downloading of messages continues
* if the reader is hidden on the system tray, downloading of messages takes place in silent mode without reporting the progress of downloading and the number of new messages
* the RSS reader icon on the system tray has its own context menu containing options for displaying the reader window and exiting the reader
* the number of new messages, that the reader has downloaded in minimized mode, is visible in the icon on the system tray
* the option to quit the application in the reader menu completely quits the reader, even if the automatic download of messages is set
* the option To system tray after NVDA start has been added to the Settings dialog, allowing the RSS reader to start minimized together with the start of the NVDA if the interval for downloading new messages is set
* checking the asynchronous state between feeds and articles when all messages in all feeds are displayed, if problem detected, redundant file deleted, error sound played and log entry created
* Fixed display of news from RSS feed on sciencemag server.

## Version 1.6.1
* Fixed display of news from feeds on the iDNES.cz server

## Version 1.6
* added All item to the feed list in the first position, allowing to display all messages from all feeds in one list
* after pressing _F2_ in the list of all messages from all feeds, the name of the feed from which the current message is from will also be announced
* fixed displaying of titles for some feeds in the archive
* redesigned text conversion of titles and descriptions of messages
* fixed the possibility of restarting receiving of new messages during the ongoing loading
* NVDA 2025 compatibility.

## Version 1.5
* added ability to open messages as text
* added text viewer to display messages opened as text
* added option to settings to allow setting messages to open as text when _Enter_ key is pressed

## Version 1.4.1
* the _Escape_ key can also be used to return from the message list to the feed list

## Version 1.4.0
* receiving new messages from all feeds is done in the background
* if an error occurs while receiving messages, it is reported immediately, not after all messages have been loaded

## Version 1.3.0
* added function to search for specified text in messages available after pressing _Ctrl+F_
* fixed automatic downloading when the interval is set to 5 minutes
* corrected information about the number of new messages when automatic downloading starts when the message list is opened

## Version 1.2.0
* feature to import and export the feed list in OPML format using the corresponding items of the application menu

## Version 1.1.0
* added reporting of the number of new messages since the last download when scrolling through the feeds and after pressing the _F2_ key
* added the option to turn on or off the automatic reporting of the number of messages when scrolling through individual feeds
* added the option to display only feeds with new messages using the _F4_ key

## Version 1.0.2
* fixed opening of help in Windows languages for which help is not available

## Version 1.0.1
* fixed automatic opening of the first category of the feed database when initially adding a feed
* when archiving a message and asking before deleting a message is enabled, the question to delete the message does not appear
* added information to the documentation about the option to send a message by email

[Back to news in individual versions](news.html)
