# News in individual versions

## Version 2.7.0
* Support for multiple user interface languages and documentation (currently Czech, Slovak and English)
* redesigned internal message handling system to ensure correct management of articles with the same titles
* minor changes in the processing of messages time and date

## Version 2.6.0
* ability to set globally or for each feed whether to add date and time, sequence number or nothing to the name of the saved audio file
* fix multiple announcements of the end of audio file playback
* when automatically starting the loading of new messages, the currently open message list is no longer closed
* during message loading it is possible to open feeds and view the message list
* when playing podcasts, the automatically started receiving of new messages is not accompanied by audio signals, so as not to interfere with listening
* when you set the messages to open in a web browser, the audio podcast will also open in a web browser
* corrected the function to report the date and time for messages where this information is not available
* corrected the occasional incorrect display in the feed list after removing a feed

## Version 2.5.1
* redesigned saving of audio recordings from multiple marked messages

## Version 2.5.0
* added a function to the message list to save audio recordings even from multiple marked messages, available by pressing the _Ctrl+S_ key combination or from the application menu
* redesigned the feed list to search for items by multiple initial letters

## Version 2.4.0
* added the ability to search Apple podcasts available by pressing _Ctrl+H_ or from the application menu

## Version 2.3.1
* fixed displaying a dialog when an empty feed is opened

## Version 2.3.0
* in case of receiving new messages after opening a feed or for a single feed using _Ctrl+F5_ ensure background running
* fixed situation when description for a message is too long

## Version 2.2.1
* fixed automatic saving of podcast audio files for some feeds

## Version 2.2.0
* added option to control playback speed using Ctrl+up and down arrow keys
* added option to save audio file using Ctrl+S keys
* added option to open folder with saved audio files in audio player application menu
* added option to automatically download podcast audio files in addition to messages
* added option to settings to specify the path for saved podcast audio files and a button to select the folder
* in the settings it is possible to enable or disable automatic downloading of podcast audio files for all feeds
* added a window with settings for the selected feed available in the feed list after pressing Ctrl+F12
* in the settings for the selected feed added the option to enable or disable downloading of podcast audio files

## Version 2.1.0
* added the ability to control volume with up and down arrows to the audio player
* fixed the functionality of the Spacebar key for playback and reading in other Windows languages

## Version 2.0.1
* fixed the display of diacritics in the Technológie bez zraku feed

## Version 2.0
* added audio player for podcasts
* in the Settings dialog, renamed the Open Messages as Text option to Open Messages as Text or Audio
* audio podcasts automatically open in the audio player when the Open Messages as Text or Audio option is turned on
* when you exit, the audio player saves the last position from which it will next start playing
* the feed database can have multiple category levels

[News History](historynews. html)

[Back to main page](readme.html)
