# Čítačka RSS

* Autor.
* Na stiahnutie: [stabilná verzia][1]

## Čo je nové

Ak chcete zistiť, čo je nové v jednotlivých verziách čítačky RSS, prejdite na stránku
[Novinky v jednotlivých verziách](news.html)

## Funkcie čítačky RSS

Doplnok čítačky RSS vám poskytuje nasledujúce funkcie:

* prihlásenie na sledovanie vybraných kanálov
    - môžete ručne zadať zdroj, ak poznáte jeho adresu
    - alebo môžete kanál vybrať z databázy pripravených kanálov
* dodatočnú úpravu názvu alebo adresy kanála, napríklad ak sa zmení
* prezeranie názvov správ uverejnených v prihlásených kanáloch
* pri prezeraní správ možno voliteľne čítať aj stručný obsah správy
* zobrazenie iba kanálov s neprečítanými správami
* zobrazenie správ zo všetkých kanálov v jednom zozname
* otvorenie vybranej správy v predvolenom webovom prehliadači
* otvorenie vybranej správy ako textu
* možnosť vyhľadávať takto otvorenú správu
* automatické spustenie prehrávania zvuku v prípade podcastu
* spustenie prehrávania zvuku od miesta, kde ste naposledy skončili
* možnosť nastaviť hlasitosť a rýchlosť prehrávania zvuku
* správy sa ukladajú, takže o ne neprídete, keď kanál už nevysiela
* možnosť uložiť zvukový záznam v prípade podcastu
    - uloženie zvukového súboru z aktuálne otvoreného podcastu alebo z jedného či viacerých vybraných podcastov v zozname správ
    - pridanie dátumu a času vydania podcastu alebo poradového čísla do názvu súboru v závislosti od nastavení používateľa
* vymazanie správ, ktoré vás už nezaujímajú
* automaticky vymazať správy staršie ako nastavený počet dní
* archivovanie správ, ktoré sú pre vás zaujímavé
* odoslanie vybranej správy e-mailom
* sťahovanie nových správ zo všetkých kanálov alebo len z vybraného kanála
* sťahovanie správ zo všetkých kanálov vo zvolenom časovom intervale
* automatické sťahovanie nových správ pre vybraný kanál po jeho otvorení
* automatické sťahovanie všetkých správ po vyvolaní okna čítačky RSS
* automatické sťahovanie zvukových nahrávok v prípade podcastov na miesto, ktoré si môže nastaviť používateľ
* oznamovanie počtu správ vo vybranom kanáli
* vyhľadávanie správ
* vyhľadávanie podcastov Apple s možnosťou pridania podcastu k sledovaným kanálom
* minimalizácia do systémovej lišty pri nastavení automatického sťahovania správ v určitom intervale
* indikátor počtu nových správ na ikone systémovej lišty
* aktivácia tichého sťahovania pri minimalizácii do systémovej lišty
* možnosť spustiť minimalizovanú čítačku RSS spolu so spustením aplikácie NVDA
* automatická kontrola aktualizácií doplnku čítačky RSS

## Ovládanie čítačky RSS

Okno čítačky RSS môžete kedykoľvek vyvolať pomocou kombinácie klávesov _Ctrl+Shift+I_. Ak spúšťate čítačku RSS prvýkrát, zobrazí sa upozornenie, že ste ešte nepridali žiadne kanály a či chcete pridať kanály teraz. Ak odpoviete kladne, zobrazí sa otázka, či chcete vybrať kanál z už preddefinovaných kanálov. Ak aj na túto otázku odpoviete kladne, zobrazí sa zoznam kategórií a po výbere kategórie alebo podkategórie sa zobrazí zoznam kanálov dostupných v databáze pre danú kategóriu. Potom stačí vybrať kanál a stlačením klávesy Enter pridať kanál do čítačky. Ak ste na otázku, či chcete vybrať kanál z preddefinovanej databázy, odpovedali nie, zobrazí sa editačné pole, do ktorého môžete ručne zadať adresu kanála RSS. Po stlačení klávesy Enter sa kanál pridá do čítačky RSS.
Ak ste už niektoré kanály do čítačky RSS pridali, po vyvolaní okna čítačky RSS sa zobrazí zoznam kanálov, v ktorom sa môžete pohybovať pomocou šípok nahor a nadol. Stlačením klávesu _F2_ sa dozviete, koľko správ sa aktuálne nachádza vo vybranom kanáli alebo koľko nových správ bolo do kanála pridaných od spustenia programu NVDA a čítačky. Počet nových správ sa automaticky oznamuje aj pre každý kanál. Toto správanie je možné zmeniť v nastaveniach.
Prvá položka v zozname kanálov s názvom Všetky bude zobrazovať všetky správy zo všetkých kanálov spolu. Ak na položke Všetky stlačíte kláves _F2_, zobrazí sa celkový počet správ uložených v čítačke RSS.
Stlačením klávesy _Enter_ sa zobrazí zoznam správ vo vybranom kanáli. V predvolenom nastavení sa nové správy načítavajú automaticky, takže po otvorení kanála budete mať vždy k dispozícii najnovšie správy. Keď sa v zozname správ budete pohybovať šípkami nahor a nadol, vždy sa načíta nadpis správy a jej stručný obsah. Pomocou klávesy _F2_ si môžete nechať prečítať dátum a čas vydania vybranej správy, ako aj jej pozíciu, t. j. na akej pozícii v celkovom počte správ sa vybraná správa nachádza a aký je celkový počet správ v aktuálne otvorenom kanáli. Ak pri zobrazení všetkých správ zo všetkých kanálov použijete kláves _F2_, okrem dátumu a pozície správy sa zobrazí aj kanál, v ktorom sa vybraná správa nachádza. Ak máte vybraných viac správ, kláves _F2_ vám oznámi počet vybraných správ. Kombináciou klávesov _Ctrl+F2_ si môžete nechať prečítať krátke zhrnutie správy. Okrem názvu aktuálneho kanála sa na titulnom riadku zobrazí počet nových správ vrátane správ načítaných automaticky pri otvorení kanála.
Ak sa chcete vrátiť do zoznamu kanálov, stlačte kláves _Backspace_ alebo kláves _Escape_. Po návrate do zoznamu kanálov sa počet nových správ vynuluje.

## Otvorenie správy

Stlačením klávesy _Enter_ môžete otvoriť akúkoľvek správu v zozname správ. Správa sa otvorí buď v predvolenom webovom prehliadači, alebo ako text v textovom prehliadači. Ak je správa zvukový podcast, môže sa automaticky začať prehrávať od miesta, kde ste naposledy skončili. Spôsob otvorenia správy ovplyvňuje možnosť Otvoriť správy ako text alebo zvuk v dialógovom okne Nastavenia.
Ak chcete správu otvoriť vo webovom prehliadači nezávisle od nastavení, môžete namiesto klávesu _Enter_ stlačiť klávesy _Ctrl+Enter_. Podobne, ak chcete správu otvoriť v textovom prehliadači alebo zvukovom prehrávači v prípade zvukového podcastu, môžete nezávisle od nastavení použiť klávesy _Shift+Enter_.

## Textový prehliadač

Ak správu otvoríte ako text, zobrazí sa v textovom prehliadači. V tomto prehliadači môžete so správou zaobchádzať ako s akýmkoľvek textom, napr. pomocou šípok ju zobraziť, vybrať a skopírovať ľubovoľnú časť správy atď. Ak chcete správu prečítať plynule, stačí stlačiť kláves _Medzerník_. Ak chcete zastaviť čítanie, použite ľubovoľnú klávesu. Ak chcete správu otvoriť vo webovom prehliadači, môžete stlačiť kláves _F5_. V správe môžete tiež vyhľadať ľubovoľný text. Stačí stlačiť klávesovú skratku __Ctrl+F_, zadať hľadaný text a stlačiť kláves _Enter_. Kurzor sa presunie na miesto, kde sa hľadaný text vyskytuje, a vysloví sa riadok, v ktorom sa text nachádza. Ďalší výskyt toho istého textu môžete nájsť stlačením klávesy _F3_ a predchádzajúci výskyt stlačením klávesy _Shift+F3_.
Ak chcete opustiť prehliadač textu a vrátiť sa do zoznamu správ, stlačte klávesu _Escape_ alebo _Backspace_, prípadne môžete použiť aj klávesovú skratku _Alt+F4_.

## Prehrávač zvuku

Ak máte zapnutú možnosť otvárať správy ako text alebo zvuk, alebo ak stlačíte _Shift+Enter_ na otvorenie správy, zvukové podcasty sa otvoria v audio prehrávači, kde sa zvuk začne automaticky prehrávať od miesta, kde ste naposledy skončili.

### Klávesové skratky Prehrávača zvuku

Počas prehrávania môžete použiť nasledujúce klávesy:

* _Medzerník_ - spustí alebo pozastaví prehrávanie
* _Šípka doprava_ - posun o 10 sekúnd dopredu
* _šipka vľavo_ - posun o 10 sekúnd späť
* _Ctrl+šipka doprava_ - posun o jednu minútu
* _Ctrl+šipka vľavo_ - posun o jednu minútu späť
* _Shift+šipka doprava_ - posun o 3 sekundy dopredu
* _Shift+šipka vľavo_ - posun späť o 3 sekundy
* _Alt+šipka vpravo_ - posun o 10 minút dopredu
* _Alt+šipka vľavo_ - posun o 10 minút späť
* _Ctrl+Alt+šipka doprava_ - posun o 5 minút dopredu
* _Ctrl+Alt+šipka vľavo+šipka_ - posun späť o 5 minút
* _šipka nahor_ - zvýšenie hlasitosti prehrávania
* _šipka nadol_ - zníženie hlasitosti prehrávania
* _Ctrl+šipka nahor_ - zvýšenie rýchlosti prehrávania
* _Ctrl+šipka nadol_ - zníženie rýchlosti prehrávania
* _Šípka domov_ - presun na začiatok prehrávanej skladby
* _Koniec_ - presun na koniec prehrávanej skladby
* _F2_ - hlásenie informácií o uplynulom a zostávajúcom čase prehrávania
* _F5_ - otvorí prehrávaný podcast v prehrávači VLC
* _Ctrl+S_ - uloží zvukový súbor podcastu do priečinka zvukových súborov zadaného v nastaveniach
* _Escape_ alebo _Backspace_ - návrat do čítačky

Ak pri zastavení prehrávania použijete príkazy na posun o určitý čas, automaticky sa oznámi aktuálny čas, na ktorý ste sa posunuli. Pri spustenom prehrávaní sa táto informácia neoznámi.
Všetky príkazy nájdete aj v ponuke aplikácie, do ktorej sa dostanete stlačením klávesy _Alt_.

### Odporúčania pre prehrávač zvuku

Aby ste mohli prehrávať zvukové súbory, musíte mať v systéme nainštalovanú 32-bitovú verziu programu VLC Media Player.

Ak sa vám stane, že podcast sa v prehrávači zvuku nespustí, problém môže byť spôsobený neznámym bezpečnostným certifikátom. V takom prípade vykonajte nasledujúce kroky:

* po otvorení podcastu v prehrávači Audio Player stlačte klávesu _F5_, aby sa podcast otvoril v prehrávači VLC.
* Ak sa zobrazí správa začínajúca slovami „Nezabezpečená stránka“, pravdepodobne ide o problém s certifikátom.
* pomocou klávesy _Tabulator_ prejdite na tlačidlo Zobraziť certifikát a stlačte klávesu _Enter_.
* pomocou klávesu _Tabulator_ sa presuňte na tlačidlo Trvalo povoliť a stlačte klávesu _Enter_.

## Ponuka aplikácie

Čítačka RSS má vlastnú ponuku aplikácií, do ktorej sa dostanete stlačením klávesu _Alt_. Potom môžete pomocou klávesov so šípkou nadol alebo nahor prechádzať jej položkami a stlačením klávesu Enter vykonať ktorúkoľvek z nich. Väčšinu položiek v ponuke aplikácie možno vyvolať pomocou klávesových skratiek uvedených pri týchto položkách.
Okná Textový prehliadač a Zvukový prehrávač majú tiež svoje vlastné aplikačné ponuky.

## Pridanie nového kanála

Do čítačky RSS môžete pridať kanál tromi spôsobmi:

* ručne, ak poznáte adresu kanála
* z databázy preddefinovaných kanálov
* v prípade podcastu aj vyhľadávaním v podcastoch Apple

### Ručné pridanie kanála

* stlačte klávesovú skratku _Ctrl+N_
* zadajte adresu zdroja RSS alebo ju vložte zo schránky
* stlačte Enter

Adresa sa overí, zistí sa názov kanála a kanál sa pridá do zoznamu kanálov.

### Pridanie kanála z databázy

* stlačte klávesovú skratku _Ctrl+D_
* vyberte kategóriu kanálov a stlačte klávesu _Enter_
* vyberte kanál a stlačte klávesu _Enter_

Kanál sa pridá do vášho zoznamu kanálov.

Poznámka: kategórie môžu obsahovať podkategórie. Do nadradenej kategórie sa môžete vrátiť stlačením klávesy _Backspace_.

### Vyhľadanie podcastu v službe Apple podcasts

* Stlačte _Ctrl+H_
* zadajte text, ktorý chcete vyhľadať v podcastoch Apple, a stlačte klávesu _Enter_
* vyberte podcast z výsledkov a stlačte klávesu _Enter_

## Odstránenie správ a kanálov

Správu alebo kanál môžete vymazať stlačením klávesy _Delete_. Keďže môžete vymazať veľa správ, môžete pred vymazaním správy v nastaveniach vypnúť dotazovanie. Môžete tiež zapnúť automatické mazanie správ starších ako počet dní, ktorý ste nastavili v nastaveniach.

## Archivácia správ

Ak si chcete uložiť zaujímavú správu, aby ste ju náhodou nevymazali pri prezeraní iných správ, môžete ju uložiť do archívu pomocou klávesu _F6_. Po stlačení tejto klávesy správa zmizne z prezeraného kanála a na poslednom mieste v zozname kanálov sa objaví nová položka Archív. Ak ju zadáte, zobrazí sa zoznam kanálov, z ktorých ste archivovali správy. Keď otvoríte kanál, zobrazia sa všetky archivované správy z vybraného kanála. Archív môžete otvoriť aj z ponuky kanálov pomocou kombinácie klávesov _Ctrl+F6_.

## Odoslanie správy e-mailom

Vybranú správu môžete niekomu poslať e-mailom stlačením klávesovej skratky *Ctrl+E*. Tým sa otvorí vaša predvolená poštová aplikácia. Otvorí sa okno na odoslanie novej správy s vyplneným riadkom predmetu ako predmetom a stručným telom správy, za ktorým nasleduje odkaz na webovú stránku s celou správou. Bude na vás, aby ste do poľa Komu zadali príjemcu, ktorému chcete správu poslať, a potom správu odoslali.

## Načítanie nových správ

Stlačením klávesy _F5_ môžete načítať nové správy pre všetky kanály. Stlačením kombinácie klávesov _Ctrl+F5_ však môžete načítať aj správy len pre aktuálne vybraný kanál. Po načítaní nových správ zaznie zvukový signál a oznámi sa počet nových správ. Počas načítavania môže zaznieť aj slabý bzučiak, ktorý signalizuje chybu načítavania, ktorá vám bude okamžite oznámená. V predvolenom nastavení sa nové správy načítavajú automaticky po otvorení kanála. Toto správanie je možné zmeniť v nastaveniach. V nastaveniach môžete tiež určiť, že nové správy sa budú načítavať automaticky pri vyvolaní okna čítačky RSS alebo po zvolenom časovom intervale, napr. každú hodinu. Ak nastavíte, aby sa správy načítavali vo zvolenom časovom intervale, po zatvorení okna čítačky sa minimalizuje do systémovej lišty, kde bude čítačka pokračovať v načítavaní správ vo zvolenom intervale v tichom režime. Nebude vás teda rušiť upozorňovaním na priebeh sťahovania ani na počet novo stiahnutých správ. V ikone čítačky RSS v systémovej lište uvidíte počet nových správ, ktoré boli stiahnuté počas doby, keď bola čítačka minimalizovaná.

## Zobraziť kanály s novými správami

V zozname kanálov môžete stlačiť klávesu _F4_ alebo vybrať príslušnú položku z ponuky aplikácie, aby sa zobrazili len tie kanály, ktoré obsahujú nové správy. Opätovným stlačením klávesy _F4_ alebo výberom položky z ponuky aplikácie zobrazíte všetky kanály. Za nové správy sa považujú tie správy, ktoré ste dostali od spustenia čítačky NVDA a zobrazenia čítačky RSS. Ak otvoríte kanál s novými správami a zobrazíte zoznam správ v tomto kanáli, počet nových správ pre tento kanál sa vynuluje. Keď sú zobrazené len kanály s novými správami, kanály nemôžete pridávať ani odstraňovať. Ak v tomto zobrazení začnete preberať správy zo všetkých kanálov, a to buď ručne, alebo automaticky, zobrazenie sa prepne na zobrazenie všetkých kanálov.

## Zmena názvu alebo adresy kanála

V zozname kanálov môžete vyvolať vlastnosti vybraného kanála stlačením kombinácie klávesov _Alt+Enter_. Zobrazí sa okno s dvoma editačnými poľami. V jednom sa zobrazí názov kanála, v druhom jeho adresa. Obe tieto hodnoty môžete zmeniť a stlačením tlačidla OK zmeny potvrdiť, alebo stlačením tlačidla Zrušiť zmeny neuložiť.

## Vyhľadávanie správ

Ak máte zoznam kanálov, ktorých správy odoberáte, môžete prehľadávať všetky správy vo všetkých kanáloch a zistiť, či niektorá zo správ obsahuje vami zadaný text. Ak chcete vyhľadať všetky kanály, stlačte klávesovú skratku _Ctrl+F_, zadajte hľadaný text a stlačte klávesu _Enter_. Zobrazí sa zoznam kanálov, ktoré obsahujú správy so zadaným textom. Ak chcete zobraziť tieto správy, stlačte klávesu _Enter_ na vybranom kanáli. Môžete s nimi pracovať tak, ako ste zvyknutí, čítať ich, vymazávať atď. Stlačením klávesy _Backspace_ alebo _Escape_ sa vrátite do zoznamu kanálov, ktorý však bude stále obsahovať len kanály so správami obsahujúcimi hľadaný text. Ak chcete zobraziť všetky kanály so všetkými správami, vyberte položku Zobraziť všetky kanály, ktorá je prvou položkou v zozname kanálov. Podľa vzhľadu tejto položky tiež vždy zistíte, že sa nachádzate v zozname výsledkov vyhľadávania a nie v zozname všetkých kanálov a správ.

## Práca s viacerými správami

V zozname správ môžete označiť viacero správ pomocou kombinácií s klávesom _Shift_, napríklad _Shift+šipka nadol_, _Shift+End_ atď. Všetky správy môžete označiť aj pomocou klávesov _Ctrl+A_. Počet aktuálne označených správ zobrazíte stlačením klávesy _F2_. Ak máte označených viacero správ, môžete označené správy vymazať pomocou _Delete_ alebo ich presunúť do archívu pomocou _F6_.

## Ukladanie zvukových súborov podcastov

V prípade podcastov je možné nastaviť čítačku RSS tak, aby pri prijatí nových správ automaticky ukladala zvukové súbory do nastaveného priečinka. V tomto priečinku sa vždy nachádzajú aktuálne súbory podcastov, ktoré môžete prehrávať v ľubovoľnom prehrávači alebo v inom zariadení, do ktorého ich prenesiete. Predvolený priečinok na ukladanie zvukových súborov sa nazýva RSS podcasty a nachádza sa v priečinku Dokumenty. Toto umiestnenie však môžete zmeniť v okne Nastavenia, kde nájdete editačné pole Zložka zvukových súborov, v ktorom je uvedený aktuálne vybraný priečinok, ako aj tlačidlo Vybrať priečinok na ukladanie zvukových súborov, po ktorého stlačení sa zobrazí dialógové okno s možnosťami výberu ľubovoľného priečinka.

Aby sa zvukové súbory podcastu mohli stiahnuť, musíte mať začiarknutú možnosť Uložiť zvukové súbory podcastu, ktorá sa tiež nachádza v okne Nastavenia.

Zvukový súbor podcastu môžete uložiť aj ručne tak, že v zozname správ vyberiete správu, z ktorej chcete uložiť zvukový súbor, a stlačíte kombináciu klávesov _Ctrl+s_. Ak máte vybraných viac správ, uložia sa zvukové súbory zo všetkých vybraných správ. Uloženie sa uskutoční do priečinka vybraného v nastaveniach. Počas ukladania zaznie zvukový signál a po dokončení ukladania sa zobrazí dialógové okno.

## Nastavenia pre jednotlivé kanály

Každý kanál obsahuje nastavenia, ktoré sú špecifické pre daný kanál. Nastavenia pre vybraný kanál sú prístupné buď z ponuky aplikácie, alebo pomocou kombinácie klávesov _Ctrl+F12_. K dispozícii máte nasledujúce možnosti:

* Ukladať zvukové súbory - určuje, či sa pre vybraný kanál budú alebo nebudú ukladať zvukové súbory podcastov.
* Pridať pred názov ukladaného zvukového súboru - z rozbaľovacieho zoznamu môžete vybrať, či sa pred názov ukladaného zvukového súboru pre vybraný kanál pridá dátum a čas, poradové číslo alebo nič.

Ak je vybratá možnosť Nie je nastavené, znamená to, že nastavenia pre vybraný kanál sa budú riadiť hodnotou v dialógovom okne Nastavenia, ktoré je k dispozícii po stlačení klávesy _F12_.

## Import a export zoznamu kanálov

Celý zoznam kanálov môžete exportovať do súboru OPML a poslať ho napríklad priateľovi, ktorý potom môže exportované kanály importovať do svojej čítačky a pridať ich do svojho aktuálneho zoznamu kanálov. Pri importe stačí vybrať súbor OPML, z ktorého chcete pridať kanály do čítačky, a pri exporte stačí vybrať, kam chcete súbor so zoznamom kanálov OPML uložiť a ako ho chcete pomenovať. Import a export kanálov nájdete v ponuke aplikácie.

## Aktualizácia doplnku čítačky RSS

Čítačka RSS je vybavená systémom automatickej kontroly aktualizácií. V prípade, že bude k dispozícii nová verzia, budete pri spustení programu NVDA upozornení a opýtaní, či si chcete novú verziu stiahnuť. Ak odpoviete kladne, nová verzia doplnku čítačky RSS sa stiahne a nainštaluje.

## Nastavenia čítačky RSS

Pomocou nastavení môžete ovplyvniť správanie čítačky RSS. Ak chcete získať prístup k nastaveniam, stlačte klávesu _F12_. K dispozícii máte nasledujúce možnosti:

* Otvoriť správy ako text alebo zvuk - určuje, či sa po stlačení klávesu Enter správa otvorí ako text alebo zvuk v prípade podcastu, alebo sa otvorí ako webová stránka v predvolenom webovom prehliadači.
* Opýtať sa pred vymazaním správy - určuje, či sa po stlačení klávesy _Delete_ na správe zobrazí výzva na vymazanie alebo či sa správa vymaže priamo.
* Spýtať sa pred presunutím správy do archívu - určuje, či sa po stlačení klávesy _F6_ zobrazí výzva na presunutie správy do archívu, alebo či sa správa presunie bez výzvy
* Automaticky hlásiť počet nových správ pre kanál - ak je táto možnosť zapnutá, pri prezeraní kanálov sa bude automaticky hlásiť počet nových správ pre každý kanál, ktorý pridal nové správy od posledného stiahnutia
* Automaticky oznamovať popis správ - ak je táto možnosť začiarknutá, pri prezeraní správ sa bude oznamovať aj stručný obsah správy, ak túto možnosť zakážete, môžete si nechať oznámiť popis pomocou _Ctrl+F2_
* Získavanie nových správ pri otvorení kanála - ak je táto možnosť povolená, nové správy sa získavajú automaticky pri otvorení kanála, ak ju zakážete, môžete získať správy pre akýkoľvek kanál pomocou _Ctrl+F5_
* Načítať nové správy pri spustení - určuje, či sa nové správy načítajú automaticky pri aktivácii okna čítačky RSS
* Automaticky sťahovať nové správy - v tomto rozbaľovacom zozname môžete vybrať interval, po ktorom sa budú automaticky sťahovať nové správy, alebo môžete vybrať možnosť Vypnuté a správy sťahovať len na základe ručnej žiadosti pomocou _F5_
* Do systémovej lišty po spustení aplikácie NVDA - táto možnosť je k dispozícii len vtedy, ak ste nastavili určitý interval pre automatické sťahovanie správ. Ak ju aktivujete, čítačka RSS sa spustí so spustením čítačky NVDA a bude skrytá na systémovej lište, odkiaľ bude sťahovať správy v nastavenom intervale. Ak aktivujete aj možnosť Stiahnuť nové správy po spustení, nové správy sa budú po spustení aplikácie NVDA okamžite sťahovať aj v tichom režime
* Automaticky vymazať staršie správy - v tomto rozbaľovacom zozname môžete nastaviť, či sa budú z čítačky RSS automaticky vymazávať správy staršie ako vami nastavený počet dní
* Uložiť zvukové súbory podcastov - ak povolíte túto možnosť, okrem samotných správ sa uložia aj zvukové súbory podcastov
* Priečinok pre zvukové súbory - v tomto editačnom poli môžete začiarknuť alebo upraviť aktuálne nastavený priečinok na ukladanie zvukových súborov podcastu
* Vybrať priečinok na ukladanie zvukových súborov - po stlačení tohto tlačidla sa zobrazí okno, v ktorom môžete vybrať priečinok, do ktorého sa budú ukladať zvukové súbory
* Pridať pred názov zvukového súboru - v rozbaľovacom zozname môžete vybrať, či sa pred názov zvukového súboru pre vybraný kanál pridá dátum a čas, poradové číslo alebo nič.

## Kontakt na autora

Ak mi chcete povedať čokoľvek o čítačke RSS, či už pochvalu, kritiku alebo akékoľvek nápady na jej zlepšenie, [pošlite mi e-mail](mailto:markuv.koutek@seznam.cz?subject=RssReader)

[1]: https://suscik.cz/nvda/rss/rssreader.nvda-addon
